Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86599 - CAN-2003-0107 zlib buffer overflow
Summary: CAN-2003-0107 zlib buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: zlib
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 09:24 UTC by Mark J. Cox
Modified: 2015-01-08 00:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-29 08:34:49 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2003-03-26 09:24:11 UTC
The function gzprintf within zlib, when called with a string longer than
Z_PRINTF_BUFZISE (= 4096 bytes), can overflow without giving a warning.

zlib-1.1.4 and earlier exhibit this behavior. There are no known exploits
of the gzprintf overrun, and only a few programs, including rpm2html
and gimp-print, are known to use the gzprintf function.

The problem has been fixed by checking the length of the output string
within gzprintf. 

This is CAN-2003-0107 and will be RHSA-2003:081

Comment 1 Jeff Johnson 2003-03-28 19:32:48 UTC
Needinfo so I don't have to stare at the duplicate bug.

Comment 2 Mark J. Cox 2003-05-29 08:34:49 UTC
Fixed by http://rhn.redhat.com/errata/RHSA-2003-081.html


Note You need to log in before you can comment on or make changes to this bug.